Skip to main content
POST
/
interactions
/
{id}
/
transcripts
/
cURL
curl --request POST \
  --url https://api.{environment}.corti.app/v2/interactions/{id}/transcripts/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Tenant-Name: <tenant-name>' \
  --data '
{
  "recordingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "primaryLanguage": "en",
  "spokenPunctuation": true,
  "automaticPunctuation": true,
  "isDictation": true,
  "isMultichannel": true,
  "diarize": true,
  "participants": [
    {
      "channel": 123
    }
  ],
  "async": true,
  "replacements": [
    {
      "find": "<string>",
      "replace": "<string>"
    }
  ],
  "keyterms": {
    "terms": [
      {
        "term": "<string>"
      }
    ]
  }
}
'
{
  "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "metadata": {
    "participantsRoles": [
      {
        "channel": 123
      }
    ]
  },
  "transcripts": [
    {
      "channel": 123,
      "participant": 123,
      "speakerId": 123,
      "text": "<string>",
      "start": 123,
      "end": 123
    }
  ],
  "usageInfo": {
    "creditsConsumed": 123
  },
  "recordingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}

Authorizations

Authorization
string
header
required

Input your token

Headers

Tenant-Name
string
required

Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.

Example:

"base"

Path Parameters

id
string<uuid>
required

The unique identifier of the interaction. Must be a valid UUID.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Body

application/json
recordingId
string<uuid>
required

The unique identifier for the recording.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

primaryLanguage
string
required

The primary spoken language of the recording. Check https://docs.corti.ai/stt/languages for more.

Example:

"en"

spokenPunctuation
boolean

When true, converts spoken punctuation such as 'period' or 'slash' into symbols (e.g., '.', '/'). When enabled, automatic punctuation is turned off. Takes precedence over automaticPunctuation when both are enabled.

automaticPunctuation
boolean

When true, automatically punctuates and capitalizes the transcript. Defaults to true. Overridden by spokenPunctuation when both are enabled.

isDictation
boolean
deprecated

Deprecated — replaced by spokenPunctuation and automaticPunctuation. Ignored when either of those fields is provided. When true and neither new field is provided, it is treated as spokenPunctuation: true (automatic punctuation off). No removal date is currently planned.

isMultichannel
boolean

If true, each audio channel is transcribed separately.

diarize
boolean

If true, separates speakers within an audio channel returning incrementing ids for transcript segments.

participants
object[]

An array of participants, each specifying a role and an assigned audio channel in the recording. Leave empty when shouldDiarize: true

async
boolean

If true, the request will return immediately with a 202 status and the transcript will be processed asynchronously. Poll Get Transcript Status to check transcript processing status - processing, completed, failed.

replacements
object[]

Define replacements to have terms (single words or multi-word phrases) replaced in final text output with your preferred style. For example, replace "BID" with "twice daily". Configuration is case insensitive and limited to 1,000 replacements per stream.

keyterms
object

Define words, terms, and phrases to be recognized by Corti speech-to-text. Especially useful for proper nouns (e.g., surnames), but also supportive of words not being recognized consistently. Configuration is case sensitive and limited to 1,000 key terms per stream.

Response

Returns the generated transcript, including participant roles and timestamps for each utterance.

id
string<uuid>
required

The unique identifier of the transcript.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

metadata
object
required

Additional information about the participants involved in the transcript.

transcripts
object[] | null
required

An array of transcripts.

usageInfo
object
required

Credits consumed for this request.

recordingId
string<uuid>
required

The unique identifier for the associated recording.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

status
enum<string>
required

The current status of the transcript processing.

Available options:
completed,
processing,
failed